diff mbox series

[yocto-autobuilder-helper,04/11] scripts/run-dashboard-index: Ensure failures show an error

Message ID 20250305102506.2043524-4-richard.purdie@linuxfoundation.org
State New
Headers show
Series [yocto-autobuilder-helper,01/11] scripts/run-dashboard-index: Add basic index page for new dashboard site | expand

Commit Message

Richard Purdie March 5, 2025, 10:24 a.m. UTC
Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
---
 scripts/run-dashboard-index | 5 +++++
 1 file changed, 5 insertions(+)
diff mbox series

Patch

diff --git a/scripts/run-dashboard-index b/scripts/run-dashboard-index
index 7309158..47c5e9a 100755
--- a/scripts/run-dashboard-index
+++ b/scripts/run-dashboard-index
@@ -4,6 +4,11 @@ 
 #
 # Called with $1 as the build directory
 
+set -e
+set -u
+set -o pipefail
+set -x
+
 builddir=$(realpath "$1")
 scriptdir="$(dirname "$(readlink -f "${BASH_SOURCE[0]}")")"